GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

          • Get user list
          • Get user information
          • Get user information in batches
          • Create users
          • Create users in batches
          • Modify user information
          • Batch modify user information
          • Delete user
          • Get the user's external identity source
          • Get user role list
          • Get user real-name authentication information
          • Delete user real-name authentication information
          • Get user department list
          • Set user department
          • Get user group list
          • Get user MFA binding information
          • Get the archived user list
          • Force offline users
          • Judge whether the user exists
          • Get user-accessible applications
          • Get user-authorized applications
          • Determine whether the user has a certain role
          • Get the user's login history
          • Get the application that the user has logged in to
          • Get the identity source that the user has logged in to
          • User resignation
          • Batch user resignation
          • Get all resources authorized by the user
          • Check whether a user has a session login status in the application
          • Import user OTP
          • Set user MFA status
          • Get user MFA status
        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage users

  10. /
  11. Set user MFA status

¶ Set user MFA status

Update time: 2025-07-23 07:34:21
Edit

Use user ID to set user MFA status. You can choose to specify user ID type, etc.

¶ Method Name

ManagementClient.setUsersMfaStatus

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
userIdstringYes-User unique identifier, which can be user ID, user name, email address, mobile phone number, external ID, or ID in an external identity source.6229ffaxxxxxxxxcade3e3d9
userIdTypestringNouser_idUser id type, the default value is user_id, the optional values ​​are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: user phone number
- email: user email
- username: user name
- external_id: user ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: user's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example Value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
user_id
mfaTriggerDataMfaTriggerDataYes-User MFA trigger data

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ApplicationMfaDto;
import cn.authing.sdk.java.dto.GetMfaInfoDataDto;
import cn.authing.sdk.java.dto.IsSuccessRespDto;
import cn.authing.sdk.java.dto.SetMfaStatusDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;
import java.util.ArrayList;
import java.util.List;

public class SetUserMfaStatusTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        SetMfaStatusDto setMfaStatusDto = new SetMfaStatusDto();
        setMfaStatusDto.setUserId("64355exxxxxxxxx11d8ae12dc");
        GetMfaInfoDataDto getMfaInfoDataDto = new GetMfaInfoDataDto();
        getMfaInfoDataDto.setMfaToken("xxxxx");
        getMfaInfoDataDto.setMfaPhone("130xxxx4456");
        List<ApplicationMfaDto> applicationMfa = new ArrayList<>();
        ApplicationMfaDto applicationMfaDto = new ApplicationMfaDto();
        applicationMfaDto.setMfaPolicy("SMS");
        applicationMfaDto.setStatus(1);
        applicationMfaDto.setSort(1);
        applicationMfa.add(applicationMfaDto);
        getMfaInfoDataDto.setApplicationMfa(applicationMfa);
        setMfaStatusDto.setMfaTriggerData(getMfaInfoDataDto);
        IsSuccessRespDto response = client.setUsersMfaStatus(setMfaStatusDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberThis error code is used to get the specific error type.
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ MfaTriggerData

NameType
Is it required
Description
Example Value
mfaTokenstringYesMFA Tokenxxxxxxx
mfaPhonestringNoMobile phone number bound to MFAnull
mfaPhoneCountryCodestringNoMobile area code bound to MFAnull
mfaEmailstringNoEmail address bound to MFAnull
nicknamestringNoUser nicknamenull
usernamestringNoUser namenull
phonestringNoUser phone numbernull
phoneCountryCodestringNoUser's mobile phone area codenull
faceMfaEnabledbooleanNoFace verification Yes No Enabletrue
totpMfaEnabledbooleanNoOTP verification Yes No Enabletrue

¶ ApplicationMfaDto

NameType
Is it required
Description
Example Value
mfaPolicystringYesMFA typeEMAIL
statusnumberYesYes No Enabled status1
sortnumberYesSorting0

¶ IsSuccessDto

NameType
Is it required
Description
Example Value
successbooleanYesWhether the operation is successfultrue
Previous article: Import user OTP Next article: Get user MFA status
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.